# Get Users details

This endpoint allows to fetch user list of a tenant

Endpoint: GET /authn2/v1/users/
Version: 1.0.0

## Query parameters:

  - `legacy_user_id` (integer)
    Legacy User ID

## Response 200 fields (application/json):

  - `user_id` (string)

  - `tenant_id` (string)

  - `partner_id` (string)

  - `email` (string)

  - `name` (string)

  - `connection_id` (string)

  - `created_at` (string)

  - `updated_at` (string)

## Response 400 fields (application/json):

  - `status` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `code` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `error` (string)
    Either 'error' or 'errors' will be present, but not both.

  - `errors` (array)
    Either 'error' or 'errors' will be present, but not both.

  - `message` (string)

## Response 401 fields (application/json):

  - `status` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `code` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `error` (string)
    Either 'error' or 'errors' will be present, but not both.

  - `errors` (array)
    Either 'error' or 'errors' will be present, but not both.

  - `message` (string)


